This error appears when you run the wrong version of code for the operating system of the machine you are using.